gr::radar::signal_generator_fsk_c Class Reference

This block generates a signal for FSK radar in baseband. The waveform consists of a signal with an alternating frequency. The packet length for subsequent tagged streams is calculated with two times the samples per single frequency multiplied by the blocks per tag. More...

`#include <signal_generator_fsk_c.h>`

Inheritance diagram for gr::radar::signal_generator_fsk_c:

## Public Types

typedef std::shared_ptr< signal_generator_fsk_c > | sptr

## Static Public Member Functions

static sptr | make (int samp_rate, int samp_per_freq, int blocks_per_tag, float freq_low, float freq_high, float amplitude, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::signal_generator_fsk_c.

## Detailed Description

This block generates a signal for FSK radar in baseband. The waveform consists of a signal with an alternating frequency. The packet length for subsequent tagged streams is calculated with two times the samples per single frequency multiplied by the blocks per tag.

Parameters

  samp_rate | Signal sample rate
  samp_per_freq | Number of samples per frequency until the frequency shifts
  blocks_per_tag | A block contains samp_per_freq samples of the low frequency and samp_per_freq samples of the high frequency. The packet length for subsequent tagged stream blocks is calculated with 2*samp_per_freq*blocks_per_tag.
  freq_low | Lower frequency in baseband
  freq_high | Higher frequency in baseband
  amplitude | Signal amplitude
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<signal_generator_fsk_c> gr::radar::signal_generator_fsk_c::sptr

## Member Function Documentation

## make()

sptr gr::radar::signal_generator_fsk_c::make | ( | int | samp_rate,
|  | int | samp_per_freq,
|  | int | blocks_per_tag,
|  | float | freq_low,
|  | float | freq_high,
|  | float | amplitude,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::signal_generator_fsk_c.

To avoid accidental use of raw pointers, radar::signal_generator_fsk_c's constructor is in a private implementation class. radar::signal_generator_fsk_c::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- signal_generator_fsk_c.h